# Install dependencies
```bash
conda create -n test-gtn  # Create new Anaconda environment
conda activate test-gtn  # Activate new Anaconda environment
conda install pip tensorboard
conda install pytorch=1.4 cudatoolkit=10.1 -c pytorch

pip install torch-scatter==latest+cu101 -f https://pytorch-geometric.com/whl/torch-1.4.0.html
pip install torch-sparse==latest+cu101 -f https://pytorch-geometric.com/whl/torch-1.4.0.html
pip install torch-geometric sacred
```

# Train; evaluate only on validation set
`python experiment.py with device=cuda dataname=pref_att graph_distance=GED gnn_bilin=full --unobserved`

# Train; evaluate on test set
Adjust this command using the hyperparameters listed in the appendix to reproduce Table 1 in the paper.
By default, this is configured to produce the results for single-head GTN on preferential attachment GED.

`python experiment.py with device=cuda dataname=pref_att graph_distance=GED gnn_bilin=full test=False --unobserved`
